[Dbconfig-common-changes] [dbconfig-common] r391 - trunk/dpkg

Sean Finney seanius at alioth.debian.org
Sun May 13 12:43:22 UTC 2007


Author: seanius
Date: 2007-05-13 12:43:22 +0000 (Sun, 13 May 2007)
New Revision: 391

Modified:
   trunk/dpkg/common
   trunk/dpkg/config
   trunk/dpkg/config.mysql
   trunk/dpkg/config.pgsql
   trunk/dpkg/config.sqlite
   trunk/dpkg/postinst
   trunk/dpkg/postinst.mysql
   trunk/dpkg/postinst.pgsql
   trunk/dpkg/postinst.sqlite
   trunk/dpkg/postrm
   trunk/dpkg/postrm.mysql
   trunk/dpkg/postrm.pgsql
   trunk/dpkg/postrm.sqlite
   trunk/dpkg/preinst.mysql
   trunk/dpkg/preinst.pgsql
   trunk/dpkg/preinst.sqlite
   trunk/dpkg/prerm
   trunk/dpkg/prerm.mysql
   trunk/dpkg/prerm.pgsql
   trunk/dpkg/prerm.sqlite
Log:
bashisms and logging change

Modified: trunk/dpkg/common
===================================================================
--- trunk/dpkg/common	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/common	2007-05-13 12:43:22 UTC (rev 391)
@@ -10,7 +10,7 @@
 . /usr/share/dbconfig-common/internal/common
 
 dbc_config(){
-	dbc_debug "dbc_config() $@"
+	_dbc_debug "dbc_config() $@"
 	###
 	### some global variables
 	###
@@ -72,7 +72,7 @@
 }
 
 dbc_set_dbtype_defaults(){
-	dbc_debug "dbc_set_dbtype_defaults() $@"
+	_dbc_debug "dbc_set_dbtype_defaults() $@"
 
 	# if dbtype isn't set, but dbc_hardcoded_dbtype is set, set dbtype to that
 	if [ "$dbc_hardcoded_dbtype" ]; then
@@ -162,7 +162,7 @@
 ###
 dbc_write_global_config(){
 	# XXX ucf here... 
-	dbc_debug "dbc_write_global_config() $@"
+	_dbc_debug "dbc_write_global_config() $@"
 	cat << EOF > $dbc_globalconfig
 # automatically generated by the maintainer scripts of dbconfig-common
 # any changes you make to configuration options in this file will be
@@ -181,7 +181,7 @@
 }
 
 dbc_read_package_config(){
-	dbc_debug "dbc_read_package_config() $@"
+	_dbc_debug "dbc_read_package_config() $@"
 	_dbc_sanity_check package packageconfig || dbc_install_error
 	
 	# first we set some defaults, which will be overridden by the config
@@ -209,7 +209,7 @@
 ###
 dbc_preseed_package_debconf(){
 	local skip_preseed
-	dbc_debug "dbc_preseed_package_debconf() $@"
+	_dbc_debug "dbc_preseed_package_debconf() $@"
 	_dbc_sanity_check package || dbc_install_error
 
 	# if we've pre-configured the package and are running config
@@ -312,7 +312,7 @@
 ### with respect to the package's configuration and dbconfig-common.  
 ###
 dbc_read_package_debconf(){
-	dbc_debug "dbc_read_package_debconf() $@"
+	_dbc_debug "dbc_read_package_debconf() $@"
 	_dbc_sanity_check package || dbc_install_error
 
 	# gracefully fetch this to support multi-dbtype packages
@@ -378,21 +378,21 @@
 	esac
 
 	if [ "$dbc_debug" ]; then
-		dbc_debug "settings determined from dbc_read_package_debconf:"
-		dbc_debug "\tdbc_install=$dbc_install"
-		dbc_debug "\tdbc_upgrade=$dbc_upgrade"
-		dbc_debug "\tdbc_remove=$dbc_remove"
-		dbc_debug "\tdbc_dbtype=$dbc_dbtype"
-		dbc_debug "\tdbc_dbuser=$dbc_dbuser"
-		dbc_debug "\tdbc_dbpass=$dbc_dbpass"
-		dbc_debug "\tdbc_dbadmin=$dbc_dbadmin"
-		dbc_debug "\tdbc_dbadmpass=$dbc_dbadmpass"
-		dbc_debug "\tdbc_dbserver=$dbc_dbserver"
-		dbc_debug "\tdbc_dbport=$dbc_dbport"
-		dbc_debug "\tdbc_dbname=$dbc_dbname"
-		dbc_debug "\tdbc_authmethod_admin=$dbc_authmethod_admin"
-		dbc_debug "\tdbc_authmethod_user=$dbc_authmethod_user"
-		dbc_debug "\tdbc_ssl=$dbc_ssl"
+		_dbc_debug "settings determined from dbc_read_package_debconf:"
+		_dbc_debug "\tdbc_install=$dbc_install"
+		_dbc_debug "\tdbc_upgrade=$dbc_upgrade"
+		_dbc_debug "\tdbc_remove=$dbc_remove"
+		_dbc_debug "\tdbc_dbtype=$dbc_dbtype"
+		_dbc_debug "\tdbc_dbuser=$dbc_dbuser"
+		_dbc_debug "\tdbc_dbpass=$dbc_dbpass"
+		_dbc_debug "\tdbc_dbadmin=$dbc_dbadmin"
+		_dbc_debug "\tdbc_dbadmpass=$dbc_dbadmpass"
+		_dbc_debug "\tdbc_dbserver=$dbc_dbserver"
+		_dbc_debug "\tdbc_dbport=$dbc_dbport"
+		_dbc_debug "\tdbc_dbname=$dbc_dbname"
+		_dbc_debug "\tdbc_authmethod_admin=$dbc_authmethod_admin"
+		_dbc_debug "\tdbc_authmethod_user=$dbc_authmethod_user"
+		_dbc_debug "\tdbc_ssl=$dbc_ssl"
 	fi
 }
 
@@ -401,7 +401,7 @@
 ###
 dbc_write_package_config(){
 	local iformat ofile tfile
-	dbc_debug "dbc_write_package_config() $@"
+	_dbc_debug "dbc_write_package_config() $@"
 	_dbc_sanity_check packageconfig || dbc_install_error
 	echo "dbconfig-common: writing config to $dbc_packageconfig" >&2
 
@@ -674,7 +674,7 @@
 ## exactly what you'd think
 ##
 dbc_forget_dbadmin_password(){
-	dbc_debug "dbc_forget_dbadmin_password() $@"
+	_dbc_debug "dbc_forget_dbadmin_password() $@"
 	echo dbconfig-common: flushing administrative password >&2
 	db_reset $dbc_package/$dbc_dbtype/admin-pass || true
 	db_fset $dbc_package/$dbc_dbtype/admin-pass seen false || true
@@ -686,7 +686,7 @@
 ## exactly what you'd think
 ##
 dbc_forget_app_password(){
-	dbc_debug "dbc_forget_app_password() $@"
+	_dbc_debug "dbc_forget_app_password() $@"
 	db_reset $dbc_package/$dbc_dbtype/app-pass || true
 	db_fset $dbc_package/$dbc_dbtype/app-pass seen false || true
 	db_reset $dbc_package/app-password-confirm || true
@@ -700,7 +700,7 @@
 ##
 dbc_get_admin_pass(){
 	local have_admin_pass pass1
-	dbc_debug "dbc_get_admin_pass() $@"
+	_dbc_debug "dbc_get_admin_pass() $@"
 
 	db_fget $dbc_package/$dbc_dbtype/admin-pass seen 
 	if [ "$RET" = "true" ]; then
@@ -736,7 +736,7 @@
 ##
 dbc_get_app_pass(){
 	local have_app_pass pass1 pass2
-	dbc_debug "dbc_get_app_pass() $@"
+	_dbc_debug "dbc_get_app_pass() $@"
 
 	db_fget $dbc_package/$dbc_dbtype/app-pass seen 
 	if [ "$RET" = "true" ]; then
@@ -789,7 +789,7 @@
 ## perform any necessary cleanup before exiting the postinst
 ##
 dbc_postinst_cleanup(){
-	dbc_debug "dbc_postinst_cleanup() $@"
+	_dbc_debug "dbc_postinst_cleanup() $@"
 	if echo "$dbc_authenticated_dbtypes" | grep -q "$dbc_dbtype"; then
 		if [ "$dbc_remember_admin_pass" != "true" ]; then
 			dbc_forget_dbadmin_password
@@ -806,7 +806,7 @@
 ##
 dbc_detect_supported_dbtype(){
 	local query_dbtype
-	dbc_debug "dbc_detect_supported_dbtype() $@"
+	_dbc_debug "dbc_detect_supported_dbtype() $@"
 	query_dbtype=$1
 	# see if the package says it's supported
 	if echo $dbc_dbtypes | grep -qE "(^|,[[:space:]]*)$query_dbtype(\$|,)"; then
@@ -820,7 +820,7 @@
 ##
 dbc_detect_installed_dbtype(){
 	local query_dbtype testfile
-	dbc_debug "dbc_detect_installed_dbtype() $@"
+	_dbc_debug "dbc_detect_installed_dbtype() $@"
 	query_dbtype=$1
 
 	# see if the dbtype is already installed.  this is not 100% accurate
@@ -844,7 +844,7 @@
 ###
 dbc_register_debconf(){
 	local f local
-	dbc_debug "dbc_register_debconf() $@"
+	_dbc_debug "dbc_register_debconf() $@"
 
 	for f in $dbc_register_templates; do
 		# register the question, but bail if it doesn't (yet) exist

Modified: trunk/dpkg/config
===================================================================
--- trunk/dpkg/config	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/config	2007-05-13 12:43:22 UTC (rev 391)
@@ -5,7 +5,7 @@
 dbc_go(){
 	local f db happy default_dbtype host newhost port oldhosts authmethod_admin do_config _preconf_list _s _t STATE iformat ifile install_question migrating userdb_prio
 	. /usr/share/dbconfig-common/dpkg/common
-	dbc_debug "(config) dbc_go() $@"
+	_dbc_debug "(config) dbc_go() $@"
 
 	dbc_config $@
 
@@ -30,7 +30,7 @@
 	## chain.
 	##
 	if ! dbc_register_debconf; then
-		dbc_debug "dbconfig-common not yet setup, deferring configuration."
+		_dbc_debug "dbconfig-common not yet setup, deferring configuration."
 		return 0
 	fi
 	
@@ -378,7 +378,7 @@
 
 	dbc_logpart "migrating old settings into dbconfig-common: "
 	if [ "$dbc_debug" ]; then
-		dbc_debug "dbconfig-load-include $dbc_load_include_args -f $iformat $ifile"
+		_dbc_debug "dbconfig-load-include $dbc_load_include_args -f $iformat $ifile"
 		dbconfig-load-include $dbc_load_include_args -f $iformat $ifile
 	fi
 	eval `dbconfig-load-include $dbc_load_include_args -f $iformat $ifile`

Modified: trunk/dpkg/config.mysql
===================================================================
--- trunk/dpkg/config.mysql	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/config.mysql	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=mysql
-. /usr/share/dbconfig-common/dpkg/config $@
+. /usr/share/dbconfig-common/dpkg/config

Modified: trunk/dpkg/config.pgsql
===================================================================
--- trunk/dpkg/config.pgsql	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/config.pgsql	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=pgsql
-. /usr/share/dbconfig-common/dpkg/config $@
+. /usr/share/dbconfig-common/dpkg/config 

Modified: trunk/dpkg/config.sqlite
===================================================================
--- trunk/dpkg/config.sqlite	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/config.sqlite	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=sqlite
-. /usr/share/dbconfig-common/dpkg/config $@
+. /usr/share/dbconfig-common/dpkg/config 

Modified: trunk/dpkg/postinst
===================================================================
--- trunk/dpkg/postinst	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/postinst	2007-05-13 12:43:22 UTC (rev 391)
@@ -5,7 +5,7 @@
 	local importing_from_non_dbc upgrading reconfiguring f tsubstfile upgrades_pending dumpfile _dbc_asuser reinstall
 
 	. /usr/share/dbconfig-common/dpkg/common
-	dbc_debug "(postinst) dbc_go() $@"
+	_dbc_debug "(postinst) dbc_go() $@"
 	dbc_config $@
 
 	###
@@ -252,7 +252,7 @@
 ##
 _dbc_apply_upgrades(){
 	local f vers sqlfile admsqlfile scriptfile
-	dbc_debug "_dbc_apply_upgrades() $@"
+	_dbc_debug "_dbc_apply_upgrades() $@"
 	# check for new upgrades in these three locations
 	vers="$1"
 	sqlfile="$dbc_share/data/$dbc_package/upgrade/$dbc_dbtype/$vers"

Modified: trunk/dpkg/postinst.mysql
===================================================================
--- trunk/dpkg/postinst.mysql	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/postinst.mysql	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=mysql
-. /usr/share/dbconfig-common/dpkg/postinst $@
+. /usr/share/dbconfig-common/dpkg/postinst

Modified: trunk/dpkg/postinst.pgsql
===================================================================
--- trunk/dpkg/postinst.pgsql	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/postinst.pgsql	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=pgsql
-. /usr/share/dbconfig-common/dpkg/postinst $@
+. /usr/share/dbconfig-common/dpkg/postinst

Modified: trunk/dpkg/postinst.sqlite
===================================================================
--- trunk/dpkg/postinst.sqlite	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/postinst.sqlite	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=sqlite
-. /usr/share/dbconfig-common/dpkg/postinst $@
+. /usr/share/dbconfig-common/dpkg/postinst

Modified: trunk/dpkg/postrm
===================================================================
--- trunk/dpkg/postrm	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/postrm	2007-05-13 12:43:22 UTC (rev 391)
@@ -3,7 +3,7 @@
 ###
 dbc_go(){
 	. /usr/share/dbconfig-common/dpkg/common
-	dbc_debug "(postrm) dbc_go() $@"
+	_dbc_debug "(postrm) dbc_go() $@"
 	dbc_config $@
 
 	if [ "$dbc_command" = "upgrade" ]; then

Modified: trunk/dpkg/postrm.mysql
===================================================================
--- trunk/dpkg/postrm.mysql	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/postrm.mysql	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=mysql
-. /usr/share/dbconfig-common/dpkg/postrm $@
+. /usr/share/dbconfig-common/dpkg/postrm

Modified: trunk/dpkg/postrm.pgsql
===================================================================
--- trunk/dpkg/postrm.pgsql	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/postrm.pgsql	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=pgsql
-. /usr/share/dbconfig-common/dpkg/postrm $@
+. /usr/share/dbconfig-common/dpkg/postrm

Modified: trunk/dpkg/postrm.sqlite
===================================================================
--- trunk/dpkg/postrm.sqlite	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/postrm.sqlite	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=sqlite
-. /usr/share/dbconfig-common/dpkg/postrm $@
+. /usr/share/dbconfig-common/dpkg/postrm

Modified: trunk/dpkg/preinst.mysql
===================================================================
--- trunk/dpkg/preinst.mysql	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/preinst.mysql	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=mysql
-. /usr/share/dbconfig-common/dpkg/preinst $@
+. /usr/share/dbconfig-common/dpkg/preinst

Modified: trunk/dpkg/preinst.pgsql
===================================================================
--- trunk/dpkg/preinst.pgsql	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/preinst.pgsql	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=pgsql
-. /usr/share/dbconfig-common/dpkg/preinst $@
+. /usr/share/dbconfig-common/dpkg/preinst 

Modified: trunk/dpkg/preinst.sqlite
===================================================================
--- trunk/dpkg/preinst.sqlite	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/preinst.sqlite	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=sqlite
-. /usr/share/dbconfig-common/dpkg/preinst $@
+. /usr/share/dbconfig-common/dpkg/preinst

Modified: trunk/dpkg/prerm
===================================================================
--- trunk/dpkg/prerm	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/prerm	2007-05-13 12:43:22 UTC (rev 391)
@@ -5,7 +5,7 @@
 	local need_admin_pw dumpfile nowtime
 
 	. /usr/share/dbconfig-common/dpkg/common
-	dbc_debug "(prerm) dbc_go() $@"
+	_dbc_debug "(prerm) dbc_go() $@"
 
 	dbc_config $@
 

Modified: trunk/dpkg/prerm.mysql
===================================================================
--- trunk/dpkg/prerm.mysql	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/prerm.mysql	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=mysql
-. /usr/share/dbconfig-common/dpkg/prerm $@
+. /usr/share/dbconfig-common/dpkg/prerm

Modified: trunk/dpkg/prerm.pgsql
===================================================================
--- trunk/dpkg/prerm.pgsql	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/prerm.pgsql	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=pgsql
-. /usr/share/dbconfig-common/dpkg/prerm $@
+. /usr/share/dbconfig-common/dpkg/prerm

Modified: trunk/dpkg/prerm.sqlite
===================================================================
--- trunk/dpkg/prerm.sqlite	2007-05-12 13:29:11 UTC (rev 390)
+++ trunk/dpkg/prerm.sqlite	2007-05-13 12:43:22 UTC (rev 391)
@@ -1,2 +1,2 @@
 dbc_hardcoded_dbtype=sqlite
-. /usr/share/dbconfig-common/dpkg/prerm $@
+. /usr/share/dbconfig-common/dpkg/prerm




More information about the Dbconfig-common-changes mailing list